Bug 1411300 - [RFE] OVN switch visualization and control within ManageIQ
Summary: [RFE] OVN switch visualization and control within ManageIQ
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: MVP
: 5.9.0
Assignee: Alona Kaplan
QA Contact: Mor
URL: https://www.ovirt.org/develop/release...
Whiteboard: rhev
: 1397525 (view as bug list)
Depends On: 1397525 1510868 1513958 1524520
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 12:05 UTC by Mor
Modified: 2018-04-04 08:27 UTC (History)
13 users (show)

Fixed In Version: 5.9.0.5
Doc Type: Enhancement
Doc Text:
Feature: https://github.com/AlonaKaplan/ovirt-site/blob/master/source/develop/release-management/features/network/manageiq_ovn.html.md Supported on ovirt-4.2. Reason: Result:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:08:54 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 90 0 None None None 2017-09-24 12:05:57 UTC
Github ManageIQ manageiq pull 15929 0 None None None 2017-09-24 12:05:12 UTC
Github https://github.com/ManageIQ manageiq-providers-ovirt pull 110 0 None None None 2017-10-24 12:58:53 UTC
Github https://github.com/ManageIQ manageiq-ui-classic pull 2469 0 None None None 2017-10-24 12:59:46 UTC
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description Mor 2017-01-09 12:05:27 UTC
Description of problem:
Taking OVN switch a step further, and thinking about the future. There is no UI which provides visual view and control of OVN switches (networks). Such UI could provide VM <-> switch port attachment/detachment, creating VLAN's of selected switch ports, connect selected switches using uplink ports. Our competitors, like VMWARE provide such UI in their virtualization software. In our case, admin can use OVN CLI tools for controlling the switch and making such changes, but it requires in-depth knowledge of the architecture.

Version-Release number of selected component (if applicable):
Future version

Additional info:
Some of the options that I have described are available in the following links: 
https://www.youtube.com/watch?v=seUXJ6Uy4h8
https://www.youtube.com/watch?v=KlL_C7ixOXM
http://www.vmware.com/content/dam/digitalmarketing/vmware/en/pdf/techpaper/virtual_networking_concepts.pdf

Comment 4 Yaniv Lavi 2017-09-06 07:56:47 UTC
*** Bug 1397525 has been marked as a duplicate of this bug. ***

Comment 5 Dan Kenigsberg 2017-09-06 07:57:51 UTC
Alona, please add all your relevant PRs to here.

Comment 7 Dan Kenigsberg 2017-11-08 07:39:03 UTC
Please note that we are not fulfilling your well-described comment 0. We are providing the minimalistic UI of CFME to RHV+OVN; nothing more.

Comment 8 Mor 2017-12-14 08:03:28 UTC
Verified:
CFME 5.9.0.12.20171205180333_3e32b3d 
ovirt-provider-ovn ovirt-provider-ovn-1.2.2-1.el7ev.noarch
RHV 4.2.0.2-0.1.el7

Comment 11 errata-xmlrpc 2018-03-01 13:08:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.